==========================================================================
Ubuntu Security Notice USN-6406-1
October 03, 2023

mozjs102 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.04
- Ubuntu 22.04 LTS

Summary:

Several security issues were fixed in SpiderMonkey.

Software Description:
- mozjs102: SpiderMonkey JavaScript library

Details:

Several security issues were discovered in the SpiderMonkey JavaScript
library. If a user were tricked into opening malicious JavaScript
applications or processing malformed data, a remote attacker could exploit
a variety of issues related to JavaScript security, including denial of
service attacks, and arbitrary code execution.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.04:
   libmozjs-102-0                  102.15.1-0ubuntu0.23.04.1

Ubuntu 22.04 LTS:
   libmozjs-102-0                  102.15.1-0ubuntu0.22.04.1

After a standard system update you need to reboot your computer to make all
the necessary changes.

References:
   https://ubuntu.com/security/notices/USN-6406-1
   CVE-2023-4046

Package Information:
   https://launchpad.net/ubuntu/+source/mozjs102/102.15.1-0ubuntu0.23.04.1
   https://launchpad.net/ubuntu/+source/mozjs102/102.15.1-0ubuntu0.22.04.1

Ubuntu 6406-1: SpiderMonkey vulnerabilities

October 3, 2023
Several security issues were fixed in SpiderMonkey.

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 23.04 - Ubuntu 22.04 LTS Summary: Several security issues were fixed in SpiderMonkey. Software Description: - mozjs102: SpiderMonkey JavaScript library Details: Several security issues were discovered in the SpiderMonkey JavaScript library. If a user were tricked into opening malicious JavaScript applications or processing malformed data, a remote attacker could exploit a variety of issues related to JavaScript security, including denial of service attacks, and arbitrary code execution.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 23.04: libmozjs-102-0 102.15.1-0ubuntu0.23.04.1 Ubuntu 22.04 LTS: libmozjs-102-0 102.15.1-0ubuntu0.22.04.1 After a standard system update you need to reboot your computer to make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6406-1

CVE-2023-4046

Severity
Ubuntu Security Notice USN-6406-1

Package Information

https://launchpad.net/ubuntu/+source/mozjs102/102.15.1-0ubuntu0.23.04.1 https://launchpad.net/ubuntu/+source/mozjs102/102.15.1-0ubuntu0.22.04.1

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo